Bug 236696 - Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf" already registered at priority 0
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-17 00:19 EDT by Daniel Duggan
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 11:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pre xorg update (29.19 KB, text/plain)
2007-04-17 01:52 EDT, Daniel Duggan
no flags Details
post xorg update (30.52 KB, text/plain)
2007-04-17 01:52 EDT, Daniel Duggan
no flags Details

  None (edit)
Description Daniel Duggan 2007-04-17 00:19:51 EDT
Hello:

Description of problem:
The update of xorg-x11-server-Xorg.i386 1.1.1-47.8.fc6 seems to cause these
Warnings in both the gdm and Xorg logs
# cat /var/log/gdm/:0.log

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-42.0.8.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux  2.6.20-1.2944.fc6 #1 SMP Tue Apr 10 18:46:45
EDT 2007 i686
Build Date: 08 April 2007
Build ID: xorg-x11-server 1.1.1-47.8.fc6
        Before reporting problems, check [url]http://wiki.x.org[/url]
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Apr 16 19:25:25 2007
(==) Using config file: "/etc/X11/xorg.conf"

Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf.Z" already registered at priority 0
Warning: font renderer for ".pcf.gz" already registered at priority 0
Warning: font renderer for ".snf" already registered at priority 0
Warning: font renderer for ".snf.Z" already registered at priority 0
Warning: font renderer for ".snf.gz" already registered at priority 0
Warning: font renderer for ".bdf" already registered at priority 0
Warning: font renderer for ".bdf.Z" already registered at priority 0
Warning: font renderer for ".bdf.gz" already registered at priority 0
Warning: font renderer for ".pmf" already registered at priority 0 

Version-Release number of selected component (if applicable):
Build Date: 08 April 2007
Build ID: xorg-x11-server 1.1.1-47.8.fc6 

How reproducible:
Occurs 100 % of the time, regardless of using nv or nvidia drivers (seems
independent of those)

Steps to Reproduce:
1.Start the Xserver
2.View the Xorg.0.log or the :0.log under gdm
3.
  
Actual results:

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-42.0.8.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux  2.6.20-1.2944.fc6 #1 SMP Tue Apr 10 18:46:45
EDT 2007 i686
Build Date: 08 April 2007
Build ID: xorg-x11-server 1.1.1-47.8.fc6
        Before reporting problems, check [url]http://wiki.x.org[/url]
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Apr 16 19:25:25 2007
(==) Using config file: "/etc/X11/xorg.conf"

Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf.Z" already registered at priority 0
Warning: font renderer for ".pcf.gz" already registered at priority 0
Warning: font renderer for ".snf" already registered at priority 0
Warning: font renderer for ".snf.Z" already registered at priority 0
Warning: font renderer for ".snf.gz" already registered at priority 0
Warning: font renderer for ".bdf" already registered at priority 0
Warning: font renderer for ".bdf.Z" already registered at priority 0
Warning: font renderer for ".bdf.gz" already registered at priority 0
Warning: font renderer for ".pmf" already registered at priority 0 

Expected results:

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-42.0.8.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux  2.6.20-1.2944.fc6 #1 SMP Tue Apr 10 18:46:45
EDT 2007 i686
Build Date: 08 April 2007
Build ID: xorg-x11-server 1.1.1-47.8.fc6
        Before reporting problems, check [url]http://wiki.x.org[/url]
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Apr 16 19:25:25 2007
(==) Using config file: "/etc/X11/xorg.conf" 

Additional info:

If you require any additional logs or information, please let me know.
Thanks

Dan
Comment 1 Daniel Duggan 2007-04-17 01:52:12 EDT
Created attachment 152768 [details]
pre xorg update
Comment 2 Daniel Duggan 2007-04-17 01:52:44 EDT
Created attachment 152769 [details]
post xorg update
Comment 3 Matěj Cepl 2007-04-27 06:49:43 EDT
Can we get your current /etc/X11/xorg.conf as well, please?

Also, could you try to rename /etc/X11/xorg.conf to something else, restart X
and let it guess the correct values automagically? What are the results then?
Comment 4 Matěj Cepl 2007-04-27 11:39:20 EDT
Please, try to reproduce this bug without nvidia binary-only driver. We really
cannot support that. If you need support with NVidia drivers, their forum is
located at http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

We had some strange epxeriences with nVidia drivers, when they interacted in
really strange way with other applications (not blaming them, just that even
when it doesn't sound like related to video driver, it could be related).

Before we will get information about reproduction of this problem with open
source drivers (like for example suggested running of Xorg without any
/etc/X11/xorg.conf whatsoever) I have to close this bug as CANTFIX. Please,
reopen, when you will have additional information ready.

Note You need to log in before you can comment on or make changes to this bug.